package click.kamil.springstatemachineexporter;

import click.kamil.springstatemachineexporter.analysis.model.TriggerPoint;
import com.fasterxml.jackson.databind.ObjectMapper;

public class TestTriggerPoint {
    public static void main(String[] args) throws Exception {
        TriggerPoint tp = TriggerPoint.builder()
                .event("PLACE_ORDER")
                .eventTypeFqn("String")
                .build();
        System.out.println("Result event: " + tp.getEvent());
        
        ObjectMapper mapper = new ObjectMapper();
        System.out.println("JSON: " + mapper.writeValueAsString(tp));
    }
}
